Bug 808944 - [abrt] texmaker-3.2.2-1.fc16: Poppler::Page::renderToImage: Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
[abrt] texmaker-3.2.2-1.fc16: Poppler::Page::renderToImage: Process /usr/bin/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texmaker (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:caf4f3315576233a1a87dec9593...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 19:20 EDT by k.p.wojcik
Modified: 2012-09-25 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.24 KB, text/plain)
2012-04-01 19:20 EDT, k.p.wojcik
no flags Details
File: xsession_errors (127 bytes, text/plain)
2012-04-01 19:20 EDT, k.p.wojcik
no flags Details
File: maps (41.95 KB, text/plain)
2012-04-01 19:20 EDT, k.p.wojcik
no flags Details
File: backtrace (64.79 KB, text/plain)
2012-04-01 19:20 EDT, k.p.wojcik
no flags Details

  None (edit)
Description k.p.wojcik 2012-04-01 19:20:13 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        texmaker
crash_function: Poppler::Page::renderToImage
executable:     /usr/bin/texmaker
kernel:         3.3.0-4.fc16.x86_64
pid:            2094
pwd:            /home/Krzysio
reason:         Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
time:           pon, 2 kwi 2012, 00:41:18
uid:            1000
username:       Krzysio

backtrace:      Text file, 66343 bytes
dso_list:       Text file, 9457 bytes
maps:           Text file, 42960 bytes
xsession_errors: Binary file, 127 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:89017ab0b75e533e4294f74ee8f7db3daceea536
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:50e0538b22a0baf6f774534e80192f74c75ab1f5
:d0c6e13f00a20952a72a945c929efb175fd760e3
:a70947162966aa69c7ac92b53dcd9e6748cffe35
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:460eb197d84b119c8ba93737cd0e4486a96a0be0
:638db099ff5fb986d1a092629d1bb1dca5be4904
:aaf62304b0fc10611d35b4f56005479d4c58868d
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:0bd515c1c778bb4b8f870a900d1543da39d6b662
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:bed3a3de569d0a8795d948f4630b7e6af3566d36
:8d4c1cc04914e6f8dce0b485275a05d510543280
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:6e7d3edc38bf427fb8cb8dd115b5e23b5b1b1854
:1653aaba1f3a8dc2adea86279b934bb6aa38c796
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:6f85cb44412d64e77613b03d1f0bd4a812e642c7
:59292332bd88fce31f7557e60ff08d44ce254ec8
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:e4c7ac5fc356b313fcb1de0558ae7016adfbea87
:a47e3764e7de48ace1ecfcfd8c2e0c49bd8cf1a3
:f0d50e3af2dfee021a327fb85a993a2312a98145
:5f12ba0b1b486ead5dfa4122add7da19b9a5ba5c
:5c41b341d2dcae47815ba9e0ae3da54324533e1a
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:6ea1834d77aecd46b5a612e58ab05db1367770b9
:9d392fed323a61e5e5cc38e80ad486d4cb7242f6
:70784bda61560d4335f1effe5d8af77210036f64
:be507c791e34415e8f42f0e6030c889b2895cf9a
:8f0dfaeabfdef227c21394ba582bff8cbf8e2aa2
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:3e08f14ed2767ff642c7477a25b63214050e42cb
:94d6ec772c50b629d2d0dd94a657dcc490591a5d
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:d203a42e4c417fbf0c6ab96ce6f7946ec8ac0435
:1ddf6e597ba6f382f8490a52401f6905b9715abb
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:0d660a4db2aecb2346e3ef73975137341f48baac
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:5ba371439acb075c48406bd7c66c80594d91c7e7
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:12ebe599358398f2c1a5294bb2dd387545474b65
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:a6fd1880635640d82a248f8d8de853b07dd3619b
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ec2bfdcfdf039f7c43a06a0d9e1b8b06d2f2aa72
:f520656e8c233822fe7e1e6088b42fc514a234e0
:bcff8ee130633045c8bf0129f10769d8cbd02b76
:07470201df55a5254027d05fa4dc509b10f2986a
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:a28b15796672928bb44b262c88052ae601bf5955
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:d7d86e16caa1ef50c38a22b12c8e33576f20996a
:1c6a95451ee19617be5abea3d121f0226d21ddda
:758b3664eb3655db8b14d5cb8a1d13da5429c650
:b010321c92dc1b5abf0007da423b778542817883
:e5429e0905bedecc534b057783916ba43e06a66e
:0958109ac8bd9d1de9ce9420b597a7f168006911
:f0e10f1921e6efb95abf622dece6770ab9c8fa45
:88fda96b7c90d8a8806be35cd77d4a6bb3835aa3
:4953d1f613914126bccceb3cb96386647ffba9df
:68a01d8945ac368e149d0b9348cd035ab8c35bdc
:803dd637fb9e8f49767e46db9dbe7b09775a4f70
:7f25a94bb1885e4a5a9d26f182766f9610242bb2
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:a88af62a5c77aef8bbdefd10ec3ab520c40e1c8f
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:83cb4627bed5c756d4e6f23badf8a6b4b042f4e6
:040f78c63e49df93936f710287bdc74ae83111c0
:12f7326885e79c7a690d8b6a22109af42760f6af
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Krzysio
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6596f07ec58b6acfbd12889a00000010-1333315610.951440-2091119779
:GNOME_KEYRING_CONTROL=/tmp/keyring-FKYdU4
:IMSETTINGS_MODULE=none
:USER=Krzysio
:USERNAME=Krzysio
:MAIL=/var/spool/mail/Krzysio
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/Krzysio/.local/bin:/home/Krzysio/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Krzysio
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1151
:LANG=pl_PL.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/Krzysio
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=Krzysio
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KGPXhH4GTN,guid=bbffc527130e9487ed4893b50000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Krzysio
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-Krzysio-TsiQOM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1155,unix/unix:/tmp/.ICE-unix/1155
:GPG_AGENT_INFO=/tmp/keyring-FKYdU4/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-FKYdU4/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-texmaker.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2094

var_log_messages:
:Apr  2 00:41:18 Krzysio kernel: [ 4509.622480] texmaker[2094]: segfault at 0 ip 00000036ba62b95f sp 00007fffce859370 error 4 in libpoppler-qt4.so.3.7.0[36ba600000+63000]
:Apr  2 00:41:20 Krzysio abrt[2153]: Saved core dump of pid 2094 (/usr/bin/texmaker) to /var/spool/abrt/ccpp-2012-04-02-00:41:18-2094 (57004032 bytes)
Comment 1 k.p.wojcik 2012-04-01 19:20:16 EDT
Created attachment 574377 [details]
File: dso_list
Comment 2 k.p.wojcik 2012-04-01 19:20:18 EDT
Created attachment 574378 [details]
File: xsession_errors
Comment 3 k.p.wojcik 2012-04-01 19:20:20 EDT
Created attachment 574379 [details]
File: maps
Comment 4 k.p.wojcik 2012-04-01 19:20:22 EDT
Created attachment 574380 [details]
File: backtrace
Comment 5 Fedora Update System 2012-09-20 20:09:18 EDT
texmaker-3.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc17
Comment 6 Fedora Update System 2012-09-20 20:10:06 EDT
texmaker-3.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc16
Comment 7 Fedora Update System 2012-09-20 20:10:49 EDT
texmaker-3.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc18
Comment 8 Fedora Update System 2012-09-21 19:53:40 EDT
Package texmaker-3.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texmaker-3.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14438/texmaker-3.5-1.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-09-25 12:37:12 EDT
texmaker-3.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.